=== libs/signal/CMakeLists.txt ===
add_library(signal STATIC
        isignal.h
        signal.cpp signal.h
        signalfwd.h
        )
