=== debian/changelog ===
netradiant (1.5.0+git20250728+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #693637)
    Only provides the q3map2 tool for now.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 28 Oct 2025 10:19:41 +0100
