## netradiant 1.5.0%2Bgit20250729%2Bdfsg

=== contrib/sunplug/CMakeLists.txt ===
radiant_plugin(sunplug
        sunplug.cpp sunplug.h
        )

target_include_directories(sunplug PRIVATE uilib)
target_link_libraries(sunplug PRIVATE uilib)
