=== include/CMakeLists.txt ===
add_library(includes
        aboutmsg.h
        cullable.h
        dpkdeps.h
        editable.h
        iarchive.h
        ibrush.h
        icamera.h
        idatastream.h
        ieclass.h
        ientity.h
        ifilesystem.h
        ifiletypes.h
        ifilter.h
        igl.h
        iglrender.h
        iimage.h
        imap.h
        imodel.h
        ipatch.h
        iplugin.h
        ireference.h
        irender.h
        iscenegraph.h
        iscriplib.h
        iselection.h
        ishaders.h
        itexdef.h
        itextstream.h
        itextures.h
        itoolbar.h
        iundo.h
        mapfile.h
        modelskin.h
        moduleobserver.h
        modulesystem.h
        nameable.h
        namespace.h
        preferencesystem.cpp preferencesystem.h
        qerplugin.h
        renderable.h
        selectable.h
        stream_version.h
        warnings.h
        windowobserver.h
        )
