=== libs/cmdlib/CMakeLists.txt ===
add_library(cmdlib STATIC
        cmdlib.cpp ../cmdlib.h
        )
