=== debian/control ===
Source: netradiant
Section: graphics
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgl-dev,
               libglib2.0-dev,
#               libgtk-3-dev,
               libjpeg-dev,
               libminizip-dev,
               libpng-dev,
               libwebp-dev,
               libxml2-dev,
               libz-dev,
               pkgconf
Standards-Version: 4.7.2
Homepage: https://netradiant.gitlab.io/
Vcs-Browser: https://salsa.debian.org/twolife/netradiant
Vcs-Git: https://salsa.debian.org/twolife/netradiant.git

#Package: netradiant
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}, netradiant-q3map2
#Description: Level design toolchain for 3D FPS games
# NetRadiant is a 3D map and level editor for games based on the idtech
# engines. The software is based on GtkRadiant and focuses on the games
# Doom3, Heretic2, Quake (1, 2, 3 & 4) & Xonotic

Package: netradiant-q3map2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quake 3 map compiler
 q3map2 is a compiler for maps to be used with quake 3 compatible engines,
 such as the Darkplaces engine (as used by Xonotic) and many others.
 .
 This version is shipped with the netradiant level editor and is
 developed by the Xonotic team.
