=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
GIT_VERSION := $(shell echo ${DEB_VERSION_UPSTREAM} | sed 's/^[0-9\.]*+git//' )

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_RADIANT=OFF -DDOWNLOAD_GAMEPACKS=OFF -DFHS_INSTALL=ON -DGIT_VERSION=${GIT_VERSION}
	#-DGTK_TARGET=3

override_dh_auto_install:
	mkdir -p debian/netradiant-q3map2/usr/bin/
	install -m 755 obj-*/q3map2 debian/netradiant-q3map2/usr/bin/netradiant-q3map2
