=== debian/watch ===
version=4

opts="mode=git,pgpmode=none,pretty=1.5.0+git%cd,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,compression=xz" \
https://gitlab.com/xonotic/netradiant.git HEAD

#opts="component=gamepack-darkplaces, \
#      mode=svn, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#svn://svn.icculus.org/gtkradiant-gamepacks/DarkPlacesPack/branches/1.5/ HEAD ignore
#
#opts="component=gamepack-doom3, \
#      mode=svn, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#svn://svn.icculus.org/gtkradiant-gamepacks/Doom3Pack/branches/1.5/ HEAD ignore
#
#opts="component=gamepack-heretic2, \
#      mode=svn, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#svn://svn.icculus.org/gtkradiant-gamepacks/Her2Pack/branches/1.5/ HEAD ignore
#
#opts="component=gamepack-quake1, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#http://ingar.intranifty.net/files/netradiant/gamepacks/ Quake1Pack.zip ignore
#
#opts="component=gamepack-quake2, \
#      mode=svn, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#svn://svn.icculus.org/gtkradiant-gamepacks/Q2Pack/branches/1.5/ HEAD ignore
#
#opts="component=gamepack-quake3, \
#      mode=git, \
#      pgpmode=none, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#https://gitlab.com/netradiant/gamepacks/quake3-mapeditor-support.git HEAD ignore
#
#opts="component=gamepack-quake4, \
#      mode=svn, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#svn://svn.icculus.org/gtkradiant-gamepacks/Q4Pack/branches/1.5/ HEAD ignore
#
#opts="component=gamepack-xonotic, \
#      mode=git, \
#      pgpmode=none, \
#      pretty=%cd.%h, \
#      repack, \
#      compression=xz, \
#      dversionmangle=auto" \
#https://gitlab.com/xonotic/netradiant-xonoticpack.git HEAD ignore
