## netradiant 1.5.0+git20250729+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -146,6 +146,7 @@
     endif ()
 endif ()
 
+set(RADIANT_MAN_DIR ${RADIANT_SHARE_DIR}/man)
 
 set(GAMEPACKS_DOWNLOAD_DIR ${PROJECT_BINARY_DIR}/download CACHE PATH "Where to store downloaded game packs")
 
@@ -357,7 +358,3 @@
                 VERBATIM
             )
             add_dependencies(bundle ${target})
-        endif ()
-    endmacro ()
-endif ()
-
