=== libs/container/CMakeLists.txt ===
add_library(container STATIC
        array.cpp array.h
        cache.h
        container.h
        hashfunc.h
        hashtable.cpp hashtable.h
        stack.h
        )
