=== libs/filematch/CMakeLists.txt ===
add_library(filematch STATIC
        ../filematch.c ../filematch.h
        )
