=== libs/memory/CMakeLists.txt ===
add_library(memory STATIC
        allocator.cpp allocator.h
        )
