=== libs/string/CMakeLists.txt ===
add_library(string STATIC
        pooledstring.cpp pooledstring.h
        string.h
        stringfwd.h
        )
