=== debian/changelog ===
netradiant (1.5.0+git20250729+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + drop merged patches & manpages

 -- Sébastien Noel <sebastien@twolife.be>  Mon, 23 Feb 2026 18:00:15 +0100
