=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: netradiant
 Section: graphics
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Noel <sebastien@twolife.be>
 Build-Depends: debhelper-compat (= 13),
@@ -15,10 +14,10 @@
                libxml2-dev,
                libz-dev,
                pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://netradiant.gitlab.io/
-Vcs-Browser: https://salsa.debian.org/twolife/netradiant
-Vcs-Git: https://salsa.debian.org/twolife/netradiant.git
+Vcs-Browser: https://salsa.debian.org/games-team/netradiant
+Vcs-Git: https://salsa.debian.org/games-team/netradiant.git
 
 #Package: netradiant
 #Architecture: any
