=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,6 @@
 	#-DGTK_TARGET=3
 
 override_dh_auto_install:
-	mkdir -p debian/netradiant-q3map2/usr/bin/
+	mkdir -p debian/netradiant-q3map2/usr/bin/ debian/netradiant-q3map2/usr/share/man/man1/
 	install -m 755 obj-*/q3map2 debian/netradiant-q3map2/usr/bin/netradiant-q3map2
+	install -m 644 tools/man/q3map2.1 debian/netradiant-q3map2/usr/share/man/man1/netradiant-q3map2.1
